Magento
Door Skyberate Internet Services op dinsdag 6 maart 2018

Op 27 februari heeft Magento haar laatste patch (SUPEE-10570) uitgebracht. Deze patch dicht verschillende lekken. Om ervoor te zorgen dat je website beschermd is tegen hacks adviseren wij deze patch te installeren of om je Magento versie te upgraden naar versie 1.9.3.8. Onderstaand een handleiding over hoe u de patch kunt installeren.

Stap 1: Controleer jouw Magento versie

Voor de verschillende Magento 1 versies zijn afzonderlijke SUPEE-10570 patches verschenen. Het is uiterst belangrijk dat je de correcte versie van de patch installeert. Je Magento-versie kun je onderaan zien in de backend of via ssh inloggen en dan onderstaande regel uitvoeren vanuit de Magento installatie dir (public_html):

grep -A6 'static function getVersionInfo' app/Mage.php

Stap 2: Heb je Magento 2

Patch SUPEE-10570 is bestemd voor Magento 1 versies, heb je Magento 2? Daarvoor is een aparte Security Update uitgebracht.

Stap 3: Back-up & test

We raden aan om, voordat je gaat patchen, altijd eerst een back-up van je website te maken. Mochten er problemen ontstaan na het patchen dan kun je snel terug naar de oude situatie.

Test de patch daarnaast ook altijd eerst uitvoerig in je testomgeving.

Stap 4: Log in met SSH

Log in met SSH op de server van jouw domeinnaam. Hoe pak je dit aan? Kijk hier voor een handleiding.

Stap 5: Patch uitvoeren

#Patch downloaden

1.5.0.0

wget http://repo.skyberate.nl/patch-supee-10570/PATCH_SUPEE-10570_CE_v1.5.0.0_v2-2018-03-29-08-58-51.sh

1.5.0.1

wget http://repo.skyberate.nl/patch-supee-10570/PATCH_SUPEE-10570_CE_v1.5.0.1_v2-2018-03-29-08-57-43.sh

1.5.1.0

wget http://repo.skyberate.nl/patch-supee-10570/PATCH_SUPEE-10570_CE_v1.5.1.0_v2-2018-03-29-08-56-56.sh

1.6.0.0

wget http://repo.skyberate.nl/patch-supee-10570/PATCH_SUPEE-10570_CE_v1.6.0.0_v2-2018-03-29-08-55-49.sh

1.6.1.0-1.6.2.0

wget http://repo.skyberate.nl/patch-supee-10570/PATCH_SUPEE-10570_CE_v1.6.2.0_v2-2018-03-29-08-54-52.sh

1.7.0.0

wget http://repo.skyberate.nl/patch-supee-10570/PATCH_SUPEE-10570_CE_v1.7.0.0_v2-2018-03-29-08-53-35.sh

1.7.0.1-1.7.0.2

wget http://repo.skyberate.nl/patch-supee-10570/PATCH_SUPEE-10570_CE_v1.7.0.2_v2-2018-03-29-08-52-37.sh

1.8.0.0

wget http://repo.skyberate.nl/patch-supee-10570/PATCH_SUPEE-10570_CE_v1.8.0.0_v2-2018-03-29-08-47-37.sh

1.8.1.0-1.9.0.1

wget http://repo.skyberate.nl/patch-supee-10570/PATCH_SUPEE-10570_CE_v1.9.0.1_v2-2018-03-29-08-45-59.sh

1.9.1.0-1.9.1.1

wget http://repo.skyberate.nl/patch-supee-10570/PATCH_SUPEE-10570_CE_v1.9.1.1_v2-2018-03-29-08-38-55.sh

1.9.2.0-1.9.2.2

wget http://repo.skyberate.nl/patch-supee-10570/PATCH_SUPEE-10570_CE_v1.9.2.2_v2-2018-03-29-08-32-23.sh

1.9.2.3-1.9.2.4

wget http://repo.skyberate.nl/patch-supee-10570/PATCH_SUPEE-10570_CE_v1.9.2.4_v2-2018-03-28-06-40-59.sh

1.9.3.0-1.9.3.1

wget http://repo.skyberate.nl/patch-supee-10570/PATCH_SUPEE-10570_CE_v1.9.3.1_v2-2018-03-21-10-23-47.sh

1.9.3.2-1.9.3.7

wget http://repo.skyberate.nl/patch-supee-10570/PATCH_SUPEE-10570_CE_v1.9.3.7_v2-2018-03-21-10-14-19.sh

#Patch installeren

1.5.0.0

sh PATCH_SUPEE-10570_CE_v1.5.0.0_v2-2018-03-29-08-58-51.sh

1.5.0.1

sh PATCH_SUPEE-10570_CE_v1.5.0.1_v2-2018-03-29-08-57-43.sh

1.5.1.0

sh PATCH_SUPEE-10570_CE_v1.5.1.0_v2-2018-03-29-08-56-56.sh

1.6.0.0

sh PATCH_SUPEE-10570_CE_v1.6.0.0_v2-2018-03-29-08-55-49.sh

1.6.1.0-1.6.2.0

sh PATCH_SUPEE-10570_CE_v1.6.2.0_v2-2018-03-29-08-54-52.sh

1.7.0.0

sh PATCH_SUPEE-10570_CE_v1.7.0.0_v2-2018-03-29-08-53-35.sh

1.7.0.1-1.7.0.2

sh PATCH_SUPEE-10570_CE_v1.7.0.2_v2-2018-03-29-08-52-37.sh

1.8.0.0

sh PATCH_SUPEE-10570_CE_v1.8.0.0_v2-2018-03-29-08-47-37.sh

1.8.1.0-1.9.0.1

sh PATCH_SUPEE-10570_CE_v1.9.0.1_v2-2018-03-29-08-45-59.sh

1.9.1.0-1.9.1.1

sh PATCH_SUPEE-10570_CE_v1.9.1.1_v2-2018-03-29-08-38-55.sh

1.9.2.0-1.9.2.2

sh PATCH_SUPEE-10570_CE_v1.9.2.2_v2-2018-03-29-08-32-23.sh

1.9.2.3-1.9.2.4

sh PATCH_SUPEE-10570_CE_v1.9.2.4_v2-2018-03-28-06-40-59.sh

1.9.3.0-1.9.3.1

sh PATCH_SUPEE-10570_CE_v1.9.3.1_v2-2018-03-21-10-23-47.sh

1.9.3.2-1.9.3.7

sh PATCH_SUPEE-10570_CE_v1.9.3.7_v2-2018-03-21-10-14-19.sh

#cache legen

rm -rf var/cache/*

Indien van toepassing Redis cache legen

n98-magerun cache:flush

Stap 6: Mogelijke issues

Hunk Failed melding, de patch kan dan niet geïnstalleerd worden.

Let op: Als de patch mislukt tijdens het patchen van lib/Zend/Mail/Transport/Sendmail.php, kan dit betekenen dat uw Magento-installatie eerder was gepatcht met SUPEE-9652v1 in plaats van SUPEE-9652v2. De aanbevolen oplossing is om patch SUPEE-9652v1 terug te draaien en SUPEE-9652v2 toe te passen voordat u SUPEE-10570 aanbrengt.

Voor meer informatie over hoe je Magento patches toe kan passen of terug kan draaien, klik hier.

Belangrijk

Skyberate kan je niet helpen bij de daadwerkelijke installatie van een patch. Neem hiervoor contact op met de ontwikkelaar van jouw website of kijk op onze partnerpagina en raadpleeg één van onze Magento Partners

 

Geef een reactie

Deze website gebruikt Akismet om spam te verminderen. Bekijk hoe jouw reactie gegevens worden verwerkt.